%% FUNCIÓN CALCULO IFFT UFMC
%<calcIFFT_UFMC>

%PARÁMETROS DE RETORNO:
%vIFFT: Vector valores complejos tras aplicar IFFT

%PARÁMETROS DE INGRESO:
%parametros: Estructura con parámetros de simulación
%bGIzq: Banda de guarda izquierda
%bandIdx: Indice de banda analizada
%tamSub: Tamaño de subbanda
%datosQPSK: Datos modulados QPSK

function vIFFT=calcIFFT_UFMC(parametros,bGIzq,bandIdx,tamSub,datosQPSK)

sep=bGIzq+(bandIdx-1)*tamSub;%Separación margen izquierdo de cada banda

symbOFDM = [zeros(sep,1);datosQPSK;zeros(parametros.tamFFT-sep-tamSub,1)];

vIFFT=ifft(ifftshift(symbOFDM));

end


